Name: libmpc
Version: 1.1.0
Release: 3
Summary: C library for multiple precision complex arithmetic
License: LGPLv3+ and GFDL
URL: http://www.multiprecision.org/
Source0: https://ftp.gnu.org/gnu/mpc/mpc-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: gmp-devel >= 5.0.0
BuildRequires: mpfr-devel >= 3.0.0
BuildRequires: texinfo

%description
MPC is a C library for the arithmetic of complex numbers with arbitrarily high
precision and correct rounding of the result.  It is built upon and follows the
same principles as MPFR.

%package devel
Summary: Header and shared development libraries for MPC
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: mpfr-devel gmp-devel

%description devel
Header files and shared object symlinks for MPC is a C library.

%prep
%setup -q -n mpc-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

export CPPFLAGS="%{optflags} -std=gnu99"
export CFLAGS="%{optflags} -std=gnu99"
export EGREP=egrep

%check
make check

%install
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmpc.la
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

%ldconfig_scriptlets

%preun devel
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
        /sbin/install-info --delete %{_infodir}/mpc.info.gz %{_infodir}/dir || :
    fi
fi

%post devel
if [ -f %{_infodir}/mpc.info.gz ]; then # for --excludedocs
    /sbin/install-info %{_infodir}/mpc.info.gz %{_infodir}/dir || :
fi

%files
%doc README NEWS
%license COPYING.LESSER
%{_libdir}/libmpc.so.3*

%files devel
%{_infodir}/*.info*
%{_includedir}/mpc.h
%{_libdir}/libmpc.so

%changelog
* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.0-3
- Package init
